section {
  width: 100%;
  display: flex;
  padding-top: 40px;
}
.archive-mood {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;

  height: calc(100vh - var(--header-h-mobile));
  /* min-height: calc(100vh - var(--header-h-mobile)); */
  overflow: hidden;
}

/* 지도 영역 */
.map {
  position: fixed;
  width: 100%;
  height: calc(100vh - var(--header-h-mobile));
}

#map {
  width: 100%;
  height: 100vh;
}

.map img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}
.current-location-btn {
  position: fixed;
  right: 16px;
  bottom: calc(
    var(--bottom-bar-h) + 45vh + 16px
  ); /* 기본 바텀시트 높이 바로 위 */
  z-index: 0; /* 바텀시트(z-index:1)보다 낮게 → expanded 시 가려짐 */
  transition: bottom 0.3s ease;
}

/* 바텀시트 */
.bottom-sheet {
  position: fixed; /* absolute → fixed */
  left: 0;
  right: 0;
  bottom: var(--bottom-bar-h);

  height: 35vh;
  z-index: 1;

  background: var(--gray-100);
  border-radius: 24px 24px 0 0;
  box-shadow: 0 -8px 24px rgba(0, 0, 0, 0.12);

  transition: height 0.3s ease;
  overflow: hidden;
}

/* 펼쳐졌을 때 */

.bottom-sheet.expanded {
  height: calc(100vh - var(--header-h-mobile) - var(--bottom-bar-h) - 8px);
}
/* 손잡이 */
.bottom-sheet-handle {
  width: 44px;
  height: 5px;
  background: #d9d9d9;
  border-radius: 999px;
  margin: 10px auto 12px;
}

/* 내부 스크롤 */
.bottom-sheet-content {
  height: calc(100% - 27px);
  overflow-y: auto;
  padding: 0 20px 20%;
}
.archive-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
  padding: 0 4px 12px;
}
.archive-header-title {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.archive-header h3 {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  font-size: 22px;
  font-weight: 500;
}
.archive-header .archive-place-name {
  font-size: 24px;
  font-weight: 700;
}
.selected-mood {
  width: 30%;
  height: auto;
  flex-shrink: 0;
}

.selected-mood img {
  width: 100%;
  height: auto;
  object-fit: contain;
  display: block;
}

/*  */
.place-card {
  padding: 16px;
  border: 1px solid var(--gray-200);
  border-radius: 16px;
  margin-bottom: 12px;
  background: #fff;
}

.place-title {
  font-size: 14px;
  font-weight: 500;
  line-height: 24px;
  margin-bottom: 6px;
}

.place-desc {
  font-size: 14px;
  color: var(--gray-600);
}

.archive-photo-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 8px;
  padding-bottom: 12px;
}
.photo-container {
  display: flex;
  flex: 1;
  aspect-ratio: 1/1;
  border-radius: 4%;
  overflow: hidden;
}
.archive-photo-container img {
  width: 100%;
  object-fit: cover;
}

.archive-music {
  padding-bottom: 16px;
}
.archive-music-card {
  padding: 8px 12px;
  border-radius: var(--spacing-12);
  border: 1px solid var(--gray-200);
  overflow: hidden;
  display: flex;
  gap: 24px;
}
.archive-music-card .album-left {
  border-radius: var(--spacing-12);
  overflow: hidden;
  border: 1px solid var(--gray-200);
  width: 50%;
  aspect-ratio: 16/9;
  display: flex;
  flex: 1;
}
.archive-music-card .album-left img {
  width: 100%;
  object-fit: cover;
}
.archive-music-card .album-right {
  display: flex;
  flex: 1;
  flex-direction: column;
}
.archive-music-card .album-right span {
}

.archive-playlist {
  padding-bottom: 4px;
}
.archive-playlist .playlist-title {
  padding-bottom: 8px;
}
.archive-music-playlist {
  padding-bottom: 8px;
}

/* 반응형 */
@media screen and (min-width: 768px) {
  .container {
    width: 100%;
    /* max-width: 720px; */
    /* max-width: 744px; */
    display: flex;
    align-items: center;
    /* justify-content: center; */
    flex-direction: column;
    padding: 0 24px;
  }

  .button {
    width: 100%;
    padding-right: 24px;
    padding-bottom: 40px;
    padding-left: 24px;
  }

  .place-card-list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
  }
  .photo-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 4px;
  }
}

/* desktop */
@media screen and (min-width: 1024px) {
  .record-mood {
    padding-bottom: 40px;
  }
  .container {
    width: 100%;
    max-width: 100%;
    display: flex;
    align-items: center;
    /* justify-content: center; */
    flex-direction: column;
    padding: 0 40px;
  }

  .input-box {
    width: 100%;
  }

  .typing-area {
    width: 100%;
    min-height: 140px;
    padding: 20px;
    /* font-size: 16px; */
  }

  .photo-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 4px;
  }
  .photo-grid .photo-box {
    overflow: hidden;
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 16px;
    background-color: var(--gray-200);
  }
}
